import os
import boto3
from unittest import TestCase


class LocalTestBase(TestCase):
    @classmethod
    def setUpClass(cls):
        cls.endpoint_url = cls.get("AWS_ENDPOINT_URL", "http://localhost:4566")
        aws_region = cls.get("AWS_REGION", "us-east-1")
        cls.aws_region = aws_region
        cls.base_url = cls.get("BASE_SERVICE_URL", "http://localhost:10000")
        cls.boto_session = boto3.Session(region_name=aws_region)

    @staticmethod
    def get(key, default):
        return os.environ.get(key, default)
